Top up wallet
POST
/v1/wallets/{wallet_id}/top_up
Top up a wallet with credits.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” wallet_id
required
Wallet Id
string format: uuid
Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Successful Response
WalletResponse
object
id
required
Id
string format: uuid
customer_id
required
Customer Id
string format: uuid
status
required
Status
string
balance_cents
required
Balance Cents
string
credits_balance
required
Credits Balance
string
consumed_amount_cents
required
Consumed Amount Cents
string
consumed_credits
required
Consumed Credits
string
rate_amount
required
Rate Amount
string
currency
required
Currency
string
priority
required
Priority
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Invalid top-up amount or wallet state
Unauthorized – invalid or missing API key
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context